import java.util.Scanner;

public class Spojler {

    public static String rezultat(int spojler1, int spojler2, int poluVreme1, int poluVreme2) {
        switch (spojler1 - poluVreme1) {
            case 0 -> {
                if ((spojler2 - poluVreme2) == 0) {
                    return "nijedan";
                } else {
                    return "drugi";
                }
            }
            default -> {
                if ((spojler2 - poluVreme2) == 0) {
                    return "prvi";
                } else {
                    return "?";
                }
            }
        }
    }

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int spojler1 = in.nextInt();
        int spojler2 = in.nextInt();
        int poluVreme1 = in.nextInt();
        int poluVreme2 = in.nextInt();

        System.out.print(rezultat(spojler1, spojler2, poluVreme1, poluVreme2));
    }
}